From commits-return-6675-apmail-continuum-commits-archive=continuum.apache.org@continuum.apache.org Wed Nov 28 06:48:12 2012 Return-Path: X-Original-To: apmail-continuum-commits-archive@www.apache.org Delivered-To: apmail-continuum-commits-archive@www.apache.org Received: from mail.apache.org (hermes.apache.org [140.211.11.3]) by minotaur.apache.org (Postfix) with SMTP id 1B39ADCBD for ; Wed, 28 Nov 2012 06:48:12 +0000 (UTC) Received: (qmail 36256 invoked by uid 500); 28 Nov 2012 06:48:11 -0000 Delivered-To: apmail-continuum-commits-archive@continuum.apache.org Received: (qmail 36180 invoked by uid 500); 28 Nov 2012 06:48:11 -0000 Mailing-List: contact commits-help@continuum.apache.org; run by ezmlm Precedence: bulk List-Help: List-Unsubscribe: List-Post: List-Id: Reply-To: dev@continuum.apache.org Delivered-To: mailing list commits@continuum.apache.org Received: (qmail 36126 invoked by uid 99); 28 Nov 2012 06:48:11 -0000 Received: from nike.apache.org (HELO nike.apache.org) (192.87.106.230) by apache.org (qpsmtpd/0.29) with ESMTP; Wed, 28 Nov 2012 06:48:11 +0000 X-ASF-Spam-Status: No, hits=-2000.0 required=5.0 tests=ALL_TRUSTED X-Spam-Check-By: apache.org Received: from [140.211.11.4] (HELO eris.apache.org) (140.211.11.4) by apache.org (qpsmtpd/0.29) with ESMTP; Wed, 28 Nov 2012 06:48:00 +0000 Received: from eris.apache.org (localhost [127.0.0.1]) by eris.apache.org (Postfix) with ESMTP id A2FB82388B42; Wed, 28 Nov 2012 06:47:37 +0000 (UTC) Content-Type: text/plain; charset="utf-8" MIME-Version: 1.0 Content-Transfer-Encoding: 7bit Subject: svn commit: r1414546 [4/7] - in /continuum/site-publish/docs: ./ 1.1/ 1.1/administrator_guides/ 1.1/administrator_guides/security/ 1.1/developer_guides/ 1.1/installation/ 1.1/knowledge_base/ 1.1/user_guides/ 1.1/user_guides/building_project/ 1.1/user_g... Date: Wed, 28 Nov 2012 06:47:32 -0000 To: commits@continuum.apache.org From: brett@apache.org X-Mailer: svnmailer-1.0.8-patched Message-Id: <20121128064737.A2FB82388B42@eris.apache.org> X-Virus-Checked: Checked by ClamAV on apache.org Added: continuum/site-publish/docs/1.1/installation/installation.html URL: http://svn.apache.org/viewvc/continuum/site-publish/docs/1.1/installation/installation.html?rev=1414546&view=auto ============================================================================== --- continuum/site-publish/docs/1.1/installation/installation.html (added) +++ continuum/site-publish/docs/1.1/installation/installation.html Wed Nov 28 06:47:27 2012 @@ -0,0 +1,402 @@ + + + + + + + + + + + + + + + Apache Maven Continuum - Continuum Installation + + + + + + + + +
+ +
+
+
+

Continuum Installation

+

In this section, you'll find all information about Continuum installations:

+ +
+ +
+
+
+
+
+ + + Added: continuum/site-publish/docs/1.1/installation/jboss.html URL: http://svn.apache.org/viewvc/continuum/site-publish/docs/1.1/installation/jboss.html?rev=1414546&view=auto ============================================================================== --- continuum/site-publish/docs/1.1/installation/jboss.html (added) +++ continuum/site-publish/docs/1.1/installation/jboss.html Wed Nov 28 06:47:27 2012 @@ -0,0 +1,501 @@ + + + + + + + + + + + + + + + Apache Maven Continuum - Guide to Install Continuum on JBoss + + + + + + + + +
+ +
+
+
+

Guide to Install Continuum on JBoss

+

Instructions for installing, deploying, configuring Continuum for the Jetty. Tested with JBoss 4.2.2.GA and 4.0.5.GA.

+

Sections:

+ +

Datasource Configuration +

+
  • Copy derby-10.1.3.1.jar + into $JBOSS_HOME/server/default/lib/ +
  • +
  • Create a jdbc deployment configuration file named derby-continuum-ds.xml + in $JBOSS_HOME/server/default/deploy + with the following contents:
    <?xml version="1.0" encoding="UTF-8"?>
    +<datasources>
    +  <local-tx-datasource>
    +     <!-- The jndi name of the DataSource, it is prefixed with java:/ -->
    +     <!-- Datasources are not available outside the virtual machine -->
    +     <jndi-name>continuum</jndi-name>
    +     <!-- for in-process persistent db, saved when jboss stops. The
    +     org.jboss.jdbc.DerbyDatabase mbean is necessary for properly db shutdown -->
    +     <connection-url>jdbc:derby:../database/continuum;create=true</connection-url>
    +     <!-- The driver class -->
    +     <driver-class>org.apache.derby.jdbc.EmbeddedDriver</driver-class>
    +     <!-- The login and password -->
    +     <user-name>sa</user-name>
    +     <password></password>
    +     <!-- The minimum connections in a pool/sub-pool. Pools are lazily constructed on first use -->
    +     <min-pool-size>5</min-pool-size>
    +     <!-- The maximum connections in a pool/sub-pool -->
    +     <max-pool-size>20</max-pool-size>
    +     <!-- The time before an unused connection is destroyed -->
    +     <idle-timeout-minutes>5</idle-timeout-minutes>
    +     <!-- Whether to check all statements are closed when the connection is returned to the pool,
    +          this is a debugging feature that should be turned off in production -->
    +     <track-statements/>
    +  </local-tx-datasource>
    +</datasources>
    
    +
    +
  • +
  • Create a jdbc deployment configuration file named derby-users-ds.xml + in $JBOSS_HOME/server/default/deploy + with the following contents:
    <?xml version="1.0" encoding="UTF-8"?>
    +<datasources>
    +  <local-tx-datasource>
    +     <!-- The jndi name of the DataSource, it is prefixed with java:/ -->
    +     <!-- Datasources are not available outside the virtual machine -->
    +     <jndi-name>users</jndi-name>
    +     <!-- for in-process persistent db, saved when jboss stops. The
    +     org.jboss.jdbc.DerbyDatabase mbean is necessary for properly db shutdown -->
    +     <connection-url>jdbc:derby:../database/users;create=true</connection-url>
    +     <!-- The driver class -->
    +     <driver-class>org.apache.derby.jdbc.EmbeddedDriver</driver-class>
    +     <!-- The login and password -->
    +     <user-name>sa</user-name>
    +     <password></password>
    +     <!-- The minimum connections in a pool/sub-pool. Pools are lazily constructed on first use -->
    +     <min-pool-size>5</min-pool-size>
    +     <!-- The maximum connections in a pool/sub-pool -->
    +     <max-pool-size>20</max-pool-size>
    +     <!-- The time before an unused connection is destroyed -->
    +     <idle-timeout-minutes>5</idle-timeout-minutes>
    +     <!-- Whether to check all statements are closed when the connection is returned to the pool,
    +          this is a debugging feature that should be turned off in production -->
    +     <track-statements/>
    +  </local-tx-datasource>
    +</datasources>
    
    +
    +

    With ../database + used for the derby db path, databases will be created into $JBOSS_HOME +

    +
  • +
+
+

Mail Configuration +

+

Edit $JBOSS_HOME/server/default/deploy/mail-service.xml +

+
+

Install Continuum +

+

To Install Continuum, you'll need the Continuum war.

+

Extract the Continuum war into $JBOSS_HOME/server/default/deploy/continuum.war +

+
+

Start Jetty +

+

To start Jetty, you'll need to use $JETTY_HOME/etc/jetty.xml + and + $JETTY_HOME/etc/jetty-plus.xml + due to the datasources and mail configuration.

+
+

Continuum Configuration +

+

By default, the 'working directory +' and the 'build output directory +' are stored under the WEB-INF directory. If you want to change them (necessary on Windows due to the path length limitation), you can configure them in the Configuration page +.

+

By default, Continuum logs are stored into $appserver.base +/logs/ +. appserver.base is a system property. If you don't define it in the jboss startup script, it will be empty, so the Continuum logs directory will be at the root of your disk. If you want to use an other location, you should modify $JBOSS_HOME/server/default/deploy/continuum.war/WEB-INF/classes/log4j.xml +

+
+
+ +
+
+
+
+
+ + + Added: continuum/site-publish/docs/1.1/installation/jetty.html URL: http://svn.apache.org/viewvc/continuum/site-publish/docs/1.1/installation/jetty.html?rev=1414546&view=auto ============================================================================== --- continuum/site-publish/docs/1.1/installation/jetty.html (added) +++ continuum/site-publish/docs/1.1/installation/jetty.html Wed Nov 28 06:47:27 2012 @@ -0,0 +1,500 @@ + + + + + + + + + + + + + + + Apache Maven Continuum - Guide to Install Continuum on Jetty + + + + + + + + +
+ +
+
+
+

Guide to Install Continuum on Jetty

+

Instructions for installing, deploying, configuring Continuum for the Jetty. Tested with Jetty 6.1.5.

+

Sections:

+ +

Datasource Configuration +

+
  • Create a JDBC resource named 'jdbc/continuum +'
  • +
  • Create a JDBC resource named 'jdbc/users +'

    You can copy the following configuration in your $JETTY_HOME/etc/jetty.xml +

    +
        <!-- =========================================================== -->
    +    <!-- Continuum datasources                                       -->
    +    <!-- =========================================================== -->
    +    <New id="continuum" class="org.mortbay.jetty.plus.naming.Resource">
    +      <Arg>jdbc/continuum</Arg>
    +      <Arg>
    +        <New class="org.apache.derby.jdbc.EmbeddedDataSource">
    +          <Set name="DatabaseName">your_directory/continuum_database</Set>
    +          <Set name="user">sa</Set>
    +          <Set name="createDatabase">create</Set>
    +        </New>
    +      </Arg>
    +    </New>
    +    <New id="continuum_shutdown" class="org.mortbay.jetty.plus.naming.Resource">
    +      <Arg>jdbc/continuum_shutdown</Arg>
    +      <Arg>
    +        <New class="org.apache.derby.jdbc.EmbeddedDataSource">
    +          <Set name="DatabaseName">your_directory/continuum_database</Set>
    +          <Set name="user">sa</Set>
    +          <Set name="shutdownDatabase">shutdown</Set>
    +        </New>
    +      </Arg>
    +    </New>
    +    <New id="users" class="org.mortbay.jetty.plus.naming.Resource">
    +      <Arg>jdbc/users</Arg>
    +      <Arg>
    +        <New class="org.apache.derby.jdbc.EmbeddedDataSource">
    +          <Set name="DatabaseName">your_directory/users_database</Set>
    +          <Set name="user">sa</Set>
    +          <Set name="createDatabase">create</Set>
    +        </New>
    +      </Arg>
    +    </New>
    +    <New id="users_shutdown" class="org.mortbay.jetty.plus.naming.Resource">
    +      <Arg>jdbc/users_shutdown</Arg>
    +      <Arg>
    +        <New class="org.apache.derby.jdbc.EmbeddedDataSource">
    +          <Set name="DatabaseName">your_directory/users_database</Set>
    +          <Set name="user">sa</Set>
    +          <Set name="shutdownDatabase">shutdown</Set>
    +        </New>
    +      </Arg>
    +    </New>
    
    +
    +
  • +
+
+

Mail Configuration +

+

The following xml can be used for the jetty mail configuration:

+
    <!-- =========================================================== -->
+    <!-- Mail configuration                                          -->
+    <!-- =========================================================== -->
+    <New id="validation_mail" class="org.mortbay.jetty.plus.naming.Resource">
+      <Arg>mail/Session</Arg>
+      <Arg>
+        <New class="org.mortbay.naming.factories.MailSessionReference">
+          <Set name="user"></Set>
+          <Set name="password"></Set>
+          <Set name="properties">
+            <New class="java.util.Properties">
+              <Put name="mail.smtp.host">localhost</Put>
+              <Put name="mail.from">continuum@localhost</Put>
+              <Put name="mail.senderName">Continuum</Put>
+              <Put name="mail.debug">true</Put>
+            </New>
+          </Set>
+        </New>
+      </Arg>
+    </New>
+
+
+

Install Continuum +

+

To Install Continuum, you'll need the Continuum war.

+

Copy or extract the Continuum war into $JETTY_HOME/webapps-plus/

+
+

Start Jetty +

+

To start Jetty, you'll need to use $JETTY_HOME/etc/jetty.xml and + $JETTY_HOME/etc/jetty-plus.xml due to the datasources and mail configuration.

+
+

Continuum Configuration +

+

By default, the 'working directory +' and the 'build output directory +' are stored under the WEB-INF directory. If you want to change them (necessary on Windows due to the path length limitation), you can configure them in the Configuration page +.

+
+
+ +
+
+
+
+
+ + + Added: continuum/site-publish/docs/1.1/installation/release-notes.html URL: http://svn.apache.org/viewvc/continuum/site-publish/docs/1.1/installation/release-notes.html?rev=1414546&view=auto ============================================================================== --- continuum/site-publish/docs/1.1/installation/release-notes.html (added) +++ continuum/site-publish/docs/1.1/installation/release-notes.html Wed Nov 28 06:47:27 2012 @@ -0,0 +1,415 @@ + + + + + + + + + + + + + + + Apache Maven Continuum - Release Notes - Continuum 1.1 + + + + + + + + +
+ +
+
+
+

Release Note

+

The Continuum team is pleased to announce the Continuum 1.1-beta-4 release

+

Highlights are: +

+
  • bug fixes
  • +
  • A new backup tool with xmlrpc for continuum db (not the users db)
  • +
+

You can grab the latest release from the download page +

+

To upgrade from a previous 1.1 beta, you can look at Upgrade Guide +.

+

Below is the jira release notes for this release.

+

Release Notes - Continuum - Version 1.1

+

Bug

+
  • [CONTINUUM-1313] - Document changes to XMLRPC
  • +
  • [CONTINUUM-1492] - error when trying to run data management tool when behind a proxied firewall
  • +
  • [CONTINUUM-1536] - Data management cli doesn't read settings.xml
  • +
  • [CONTINUUM-1539] - French langage misspelling
  • +
  • [CONTINUUM-1540] - data-management-cli-1.1-beta-4-app.jar will not import builds data
  • +
  • [CONTINUUM-1541] - NPE with "Provide Release Parameters"
  • +
  • [CONTINUUM-1543] - Email Subject line templates support only 3 name variables.
  • +
  • [CONTINUUM-1544] - Email Summary no longer includes the Test Summary statistics.
  • +
  • [CONTINUUM-1547] - data-management-cli import cannot handle testResult entities in build.xml
  • +
  • [CONTINUUM-1548] - NPE in IRC Notifier
  • +
  • [CONTINUUM-1550] - Upgrade documentation commands don't work
  • +
  • [CONTINUUM-1551] - the builds are not ordered by date
  • +
  • [CONTINUUM-1552] - When trying to export the user database -> FileNotFoundException: backups/users/keys.xml (No such file or directory)
  • +
  • [CONTINUUM-1556] - Empty Group Description causes Freemarker error in Group Edit mode
  • +
  • [CONTINUUM-1557] - Appearance is not saved
  • +
  • [CONTINUUM-1559] - loading company pom doesn't use repositories declared in settings.xml
  • +
  • [CONTINUUM-1560] - Error with group summary auto-refresh after performing a release
  • +
  • [CONTINUUM-1561] - Documentation on how to configure appareance in Continuum
  • +
  • [CONTINUUM-1564] - Adding Continuum Installations accepts null value for "value/path" field
  • +
  • [CONTINUUM-1571] - NullPointerException - IrcContinuumNotifier
  • +
+
+

Improvement

+
  • [CONTINUUM-1397] - ability to customise html footer
  • +
  • [CONTINUUM-1472] - No navigation on Project Release Summary page
  • +
  • [CONTINUUM-1546] - There should be a way to simply create a project group without having to add a project
  • +
  • [CONTINUUM-1563] - add two new parameters in the mail notifier includeTestSummary and includeOutput
  • +
+
+

New Feature

+
  • [CONTINUUM-1379] - Documentation Configuration Continuum ClearCase Maven 2
  • +
+
+

Task

+
  • [CONTINUUM-347] - document push build technique by project id
  • +
  • [CONTINUUM-570] - Documentation to add for war deployment in several container
  • +
  • [CONTINUUM-1204] - Fix permissons on the CONTINUUMUSER space
  • +
+
+
+
+ +
+
+
+
+
+ + + Added: continuum/site-publish/docs/1.1/installation/requirements.html URL: http://svn.apache.org/viewvc/continuum/site-publish/docs/1.1/installation/requirements.html?rev=1414546&view=auto ============================================================================== --- continuum/site-publish/docs/1.1/installation/requirements.html (added) +++ continuum/site-publish/docs/1.1/installation/requirements.html Wed Nov 28 06:47:27 2012 @@ -0,0 +1,380 @@ + + + + + + + + + + + + + + + Apache Maven Continuum - System Requirements + + + + + + + + +
+ +
+
+
+

System Requirements

+ + + + + + + + + + + + + +
JDK +1.5 or above
Memory +No minimum requirement
Disk +The Continuum application is in itself less than 30MB but will use more disk space when it's checking out and building sources
Operating System +No minimum requirement. Tested on Windows XP, Debian, Fedora Core, Solaris and Mac OS X
+
+ +
+
+
+
+
+ + + Added: continuum/site-publish/docs/1.1/installation/standalone.html URL: http://svn.apache.org/viewvc/continuum/site-publish/docs/1.1/installation/standalone.html?rev=1414546&view=auto ============================================================================== --- continuum/site-publish/docs/1.1/installation/standalone.html (added) +++ continuum/site-publish/docs/1.1/installation/standalone.html Wed Nov 28 06:47:27 2012 @@ -0,0 +1,700 @@ + + + + + + + + + + + + + + + Apache Maven Continuum - Installing Continuum Standalone + + + + + + + + +
+ +
+
+
+

Installing Continuum Standalone

+ +

Basics & Fundamentals +

+
  • Download the standalone version from the Download page +
  • +
  • Extract the file
  • +
+

Defining JNDI Resources +

+
Mail server configuration +
+

Before to start Continuum, you must configure your SMTP configuration for mail notification. The configuration to do is in $CONTINUUM_HOME/conf/plexus.xml +:

+
          <!--
+               Mail Session
+          -->
+          <resource>
+            <name>mail/Session</name>
+            <type>javax.mail.Session</type>
+            <properties>
+              <property>
+                <name>mail.smtp.host</name>
+                <value>localhost</value>
+              </property>
+              <property>
+                <name>mail.smtp.port</name>
+                <value>25</value>
+              </property>
+
+              <!--
+              <property> 
+                <name>mail.smtp.auth</name>
+                <value>true</value>
+              </property>
+              <property>
+                <name>mail.smtp.user</name>
+                <value>your_login</value>
+              </property>
+              <property>
+                <name>password</name>
+                <value>your_password</value>
+              </property>
+              <property>
+                <name>mail.smtp.debug</name>
+                <value>true</value>
+              </property>
+              <property>
+                <name>mail.smtp.starttls.enable</name>
+                <value>true</value>
+              </property>
+              <property>
+                <name>mail.smtp.socketFactory.class</name>
+                <value>javax.net.ssl.SSLSocketFactory</value>
+              </property>
+              -->
+            </properties>
+          </resource>
+
+
+
+
Databases configuration +
+

By default, Continuum use an embedded Derby + database. If you want to use an other database, you can modify the JNDI configuration in $CONTINUUM_HOME/conf/plexus.xml +:

+
          <!--
+               Datasources
+          -->
+          <resource>
+            <name>jdbc/users</name>
+            <type>javax.sql.DataSource</type>
+            <properties>
+              <property>
+                <name>factory</name>
+                <value>org.apache.commons.dbcp.BasicDataSourceFactory</value>
+              </property>
+
+              <!-- Maximum number of dB connections in pool. Make sure you
+                   configure your mysqld max_connections large enough to handle
+                   all of your db connections. Set to 0 for no limit.
+                   -->
+              <property>
+                <name>maxActive</name>
+                <value>100</value>
+              </property>
+
+              <!-- Maximum number of idle dB connections to retain in pool.
+                   Set to 0 for no limit.
+                   -->
+              <property>
+                <name>maxIdle</name>
+                <value>30</value>
+              </property>
+
+              <!-- Maximum time to wait for a dB connection to become available
+                   in ms, in this example 10 seconds. An Exception is thrown if
+                   this timeout is exceeded.  Set to -1 to wait indefinitely.
+                   -->
+              <property>
+                <name>maxWait</name>
+                <value>10000</value>
+              </property>
+
+              <property>
+                <name>driverClassName</name>
+                <value>org.apache.derby.jdbc.EmbeddedDriver</value>
+              </property>
+              <property>
+                <name>url</name>
+                <value>jdbc:derby:${plexus.home}/data/users/database;create=true</value>
+              </property>
+              <property>
+                <name>username</name>
+                <value>sa</value>
+              </property>
+              <property>
+                <name>password</name>
+                <value></value>
+              </property>
+            </properties>
+          </resource>
+          <resource>
+            <name>jdbc/continuum</name>
+            <type>javax.sql.DataSource</type>
+            <properties>
+              <property>
+                <name>factory</name>
+                <value>org.apache.commons.dbcp.BasicDataSourceFactory</value>
+              </property>
+
+              <!-- Maximum number of dB connections in pool. Make sure you
+                   configure your mysqld max_connections large enough to handle
+                   all of your db connections. Set to 0 for no limit.
+                   -->
+              <property>
+                <name>maxActive</name>
+                <value>100</value>
+              </property>
+
+              <!-- Maximum number of idle dB connections to retain in pool.
+                   Set to 0 for no limit.
+                   -->
+              <property>
+                <name>maxIdle</name>
+                <value>30</value>
+              </property>
+
+              <!-- Maximum time to wait for a dB connection to become available
+                   in ms, in this example 10 seconds. An Exception is thrown if
+                   this timeout is exceeded.  Set to -1 to wait indefinitely.
+                   -->
+              <property>
+                <name>maxWait</name>
+                <value>10000</value>
+              </property>
+
+              <property>
+                <name>driverClassName</name>
+                <value>org.apache.derby.jdbc.EmbeddedDriver</value>
+              </property>
+              <property>
+                <name>url</name>
+                <value>jdbc:derby:${plexus.home}/data/continuum/database;create=true</value>
+              </property>
+              <property>
+                <name>username</name>
+                <value>sa</value>
+              </property>
+              <property>
+                <name>password</name>
+                <value></value>
+              </property>
+            </properties>
+          </resource>
+
+
+
+
+
+

Installing as a Windows Service +

+
  • Go to $CONTINUUM_HOME/bin/windows-x86-32/ + and run the following command:
    InstallService.bat
    
    +
    +
  • +
  • Edit the 'Apache Continuum' + service
    • To see the services that are on your computer go to Start|Run and enter 'services.msc' +.
    • +
    +
  • +
  • Select the 'Startup Type' +
  • +
  • Go to the 'Log On' + tab and select a real user. A real user is required because you'll need a home directory for maven repository and some other things
  • +
  • Validate your changes
  • +
+
+

Installing as a Linux Service +

+

Since the Continuum linux script bin/linux/run.sh understands the same arguments as linux boot scripts, there is no need to write a particular startup script to add Continuum to the linux boot process. All you need to do, as root, is:

+

Basic script in /etc/init.d +

+
  • Create a 'continuum' + file under /etc/init.d/ + with the following content:
    #!/bin/sh
    +
    +CONTINUUM_HOME=/opt/continuum-1.1
    +su - continuum_user -c "$CONTINUUM_HOME/bin/solaris-x86-32/run.sh $@"
    
    +
    +
  • +
+
+

In a Debian-based system +

+
ln -s /usr/local/continuum-[VERSION]/bin/linux/run.sh /etc/init.d/continuum
+
+

At this point you have Continuum ready to be symlinked from different runlevels. This might sound a bit esoteric, but it is not, you will find these words very fast as soon as you start reading about the init process. Fortunately, Debian GNU/Linux comes with a very handy utility to create this links, just run as root:

+
update-rc.d -n continuum defaults 80
+
+

If you run this command, you will see something like this:

+
 Adding system startup for /etc/init.d/continuum ...
+   /etc/rc0.d/K80continuum -> ../init.d/continuum
+   /etc/rc1.d/K80continuum -> ../init.d/continuum
+   /etc/rc6.d/K80continuum -> ../init.d/continuum
+   /etc/rc2.d/S80continuum -> ../init.d/continuum
+   /etc/rc3.d/S80continuum -> ../init.d/continuum
+   /etc/rc4.d/S80continuum -> ../init.d/continuum
+   /etc/rc5.d/S80continuum -> ../init.d/continuum
+
+

What you see is the symlinks that would be created. The above command didn't do anything because of the -n switch, remove it to get the real links created.

+
+

In a RedHat-based system +

+

Configuring Continuum in a RedHat-based system (like Fedora Core) is slightly different: Instead of running update-rc.d, you need to add a new service using chkconfig. And in order to add Continuum to chkconfig, it is necessary to add some comments to the /etc/rc.d/init.d/continuum script and run a couple of commands; these tasks are automatically executed by running the chkconfig_install.sh script:

+
#! /bin/sh
+#
+# chkconfig_install.sh - install Continuum on a chkconfig-bases system
+# 
+# Author: Felipe Leme <felipeal at apache.org>
+#
+
+# figure out what's Continuum's directory
+CONTINUUM_HOME=`dirname $0`
+cd ${CONTINUUM_HOME}
+CONTINUUM_HOME=`pwd`
+
+INITD_SCRIPT=/etc/rc.d/init.d/continuum
+
+if [ -f ${INITD_SCRIPT} ]
+then
+  echo "File ${INITD_SCRIPT} already exists. Please remove it and try again."
+  exit 1
+fi
+
+echo "Creating file ${INITD_SCRIPT}"  
+cat >> ${INITD_SCRIPT} <<EOF
+#! /bin/sh
+# chkconfig: 345 90 10
+# description: Maven Continuum server
+
+# uncoment to set JAVA_HOME as the value present when Continuum installed
+#export JAVA_HOME=${JAVA_HOME}
+
+if [ -z "\${JAVA_HOME}" ]
+then
+  echo "Cannot manage Continuum without variable JAVA_HOME set"
+  echo "  (try to set it on file ${INITD_SCRIPT})"
+  exit 1
+fi
+# run Continuum as root
+cd ${CONTINUUM_HOME}
+./run.sh \$*
+# run Continuum as user _continuum_user_
+#su - _continuum_user_ -c "cd ${CONTINUUM_HOME}; ./run.sh \$*"
+EOF
+chmod +x ${INITD_SCRIPT}
+
+echo "Adding Continuum to chkconfig"  
+chkconfig --add continuum
+
+echo "Enabling Continuum on chkconfig"  
+chkconfig continuum on
+echo "Continuum set to start on run levels 3, 4 and 5."
+echo "To start continuum now, run 'service continuum start'"
+
+
+
+
+
+ +
+
+
+
+
+ + +